#!/bin/sh

# check working directory
if [ -d dnblog/core/webapp/ ]; then
    cd .
else
    echo "dnblog/core/webapp is not found."
    exit
fi

#delete file or directory
if [ -f dnblog/core/webapp/filters/LicenseCheckFilter.class.php ]; then
    rm -f dnblog/core/webapp/filters/LicenseCheckFilter.class.php
fi
if [ -f dnblog/core/webapp/lib/Smarty/plugins/function.mojavi_uri_noesc.php ]; then
    rm -f dnblog/core/webapp/lib/Smarty/plugins/function.mojavi_uri_noesc.php
fi
if [ -f dnblog/core/webapp/modules/Default/config.php ]; then
    rm -f dnblog/core/webapp/modules/Default/config.php
fi
if [ -f dnblog/images/header_logo.gif ]; then
    rm -f dnblog/images/header_logo.gif
fi

if [ -f dnblog/core/webapp/modules/Admin/templates/GroupExport.csv ]; then
    rm -f dnblog/core/webapp/modules/Admin/templates/GroupExport.csv
fi
if [ -f dnblog/core/webapp/modules/Admin/templates/UserExport.csv ]; then
    rm -f dnblog/core/webapp/modules/Admin/templates/UserExport.csv
fi
if [ -f dnblog/core/webapp/modules/Admin/views/GroupExportDoView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/Admin/views/GroupExportDoView_success.class.php
fi
if [ -f dnblog/core/webapp/modules/Admin/views/UserExportDoView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/Admin/views/UserExportDoView_success.class.php
fi
if [ -f dnblog/core/webapp/modules/Portal/actions/GroupListAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/Portal/actions/GroupListAction.class.php
fi
if [ -f dnblog/core/webapp/modules/Portal/actions/UserListAction.class.php ]; then
    rm -f dnblog/core/webapp/modules/Portal/actions/UserListAction.class.php
fi
if [ -f dnblog/core/webapp/modules/Portal/templates/GroupList.html ]; then
    rm -f dnblog/core/webapp/modules/Portal/templates/GroupList.html
fi
if [ -f dnblog/core/webapp/modules/Portal/templates/UserList.html ]; then
    rm -f dnblog/core/webapp/modules/Portal/templates/UserList.html
fi
if [ -f dnblog/core/webapp/modules/Portal/views/GroupListView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/Portal/views/GroupListView_success.class.php
fi
if [ -f dnblog/core/webapp/modules/Portal/views/UserListView_success.class.php ]; then
    rm -f dnblog/core/webapp/modules/Portal/views/UserListView_success.class.php
fi
if [ -d dnblog/core/webapp/modules/Feed ]; then
    rm -fr dnblog/core/webapp/modules/Feed
fi
if [ -d dnblog/js/tiny_mce/plugins/_template ]; then
    rm -fr dnblog/js/tiny_mce/plugins/_template
fi


if [ -d dnblog/core/webapp/tmp/templates_c ]; then
    rm -fr dnblog/core/webapp/tmp/templates_c/*
fi
